package com.nisum.epe.demo.resource;

import com.nisum.epe.demo.service.OfferService;
import lombok.RequiredArgsConstructor;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/ots/")
@RequiredArgsConstructor
public class OtsResource {
    private static final Logger LOGGER = LoggerFactory.getLogger(OtsResource.class);

    private OfferService offerService;

    @GetMapping("endOfTransaction")
    public String endOfTransaction(@RequestParam String transactionId) {
        LOGGER.info("End Of Transaction based on Transaction ID: {}", transactionId);
        return offerService.produceOfferTransactionRecord(transactionId);
    }}
